Subject: Re: [PATCH v11 net-next 3/9] pinctrl: ocelot: allow pinctrl-ocelot to be loaded as a module

From: Colin Foster <[email-masked]>
Date: Tue, 28 Jun 2022 11:25:35 -0700

Hi Andy,

On Tue, Jun 28, 2022 at 02:53:49PM +0200, Andy Shevchenko wrote:
> On Tue, Jun 28, 2022 at 10:17 AM Colin Foster
> <[email-masked]> wrote:
> >
> > Work is being done to allow external control of Ocelot chips. When pinctrl
> > drivers are used internally, it wouldn't make much sense to allow them to
> > be loaded as modules. In the case where the Ocelot chip is controlled
> > externally, this scenario becomes practical.
> 
> ...
> 
> >  builtin_platform_driver(ocelot_pinctrl_driver);
> 
> This contradicts the logic behind this change. Perhaps you need to
> move to module_platform_driver(). (Yes, I think functionally it won't
> be any changes if ->remove() is not needed, but for the sake of
> logical correctness...)

I'll do this. Thanks.

Process question: If I make this change is it typical to remove all
Reviewed-By tags? I assume "yes"

> -- 
> With Best Regards,
> Andy Shevchenko